spago-0.21.0

Safe Haskell | None
Language | Haskell2010

Spago.Env

Synopsis

- data GlobalOptions = GlobalOptions {
  - globalQuiet :: Bool
  - globalVerbose :: Bool
  - globalVeryVerbose :: Bool
  - globalUseColor :: Bool
  - globalUsePsa :: UsePsa
  - globalJobs :: Maybe Int
  - globalConfigPath :: Maybe Text
  - globalCacheConfig :: Maybe CacheFlag
  }
- data Env = Env {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envConfigPath :: !ConfigPath
  - envGlobalCache :: !GlobalCache
  }
- data PackageSetEnv = PackageSetEnv {
  - envLogFunc :: !LogFunc
  - envPackageSet :: !PackageSet
  }
- data InstallEnv = InstallEnv {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envConfigPath :: !ConfigPath
  - envGlobalCache :: !GlobalCache
  - envPackageSet :: !PackageSet
  - envConfig :: !Config
  }
- data PublishEnv = PublishEnv {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envConfig :: !Config
  - envPackageSet :: !PackageSet
  - envGitCmd :: !GitCmd
  - envBowerCmd :: !BowerCmd
  }
- data VerifyEnv = VerifyEnv {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envGlobalCache :: !GlobalCache
  - envPursCmd :: !PursCmd
  - envPackageSet :: !PackageSet
  - envConfig :: !(Maybe Config)
  }
- data BuildEnv = BuildEnv {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envConfigPath :: !ConfigPath
  - envGlobalCache :: !GlobalCache
  - envPursCmd :: !PursCmd
  - envGitCmd :: !GitCmd
  - envPackageSet :: !PackageSet
  - envConfig :: !Config
  - envGraph :: !(Maybe ModuleGraph)
  - envBuildOptions :: !BuildOptions
  }
- data PursEnv = PursEnv {
  - envLogFunc :: !LogFunc
  - envJobs :: !Jobs
  - envConfigPath :: !ConfigPath
  - envGlobalCache :: !GlobalCache
  - envPursCmd :: !PursCmd
  }
- type HasEnv env = (HasLogFunc env, HasJobs env, HasConfigPath env, HasGlobalCache env)
- type HasVerifyEnv env = (HasLogFunc env, HasJobs env, HasGlobalCache env, HasPurs env, HasPackageSet env, HasMaybeConfig env)
- type HasPublishEnv env = (HasLogFunc env, HasJobs env, HasConfig env, HasBower env, HasGit env)
- type HasBuildEnv env = (HasEnv env, HasPurs env, HasGit env, HasConfig env, HasMaybeGraph env, HasBuildOptions env)
- type HasPursEnv env = (HasEnv env, HasPurs env)
- type HasGlobalCache env = HasType GlobalCache env
- type HasConfigPath env = HasType ConfigPath env
- type HasJobs env = HasType Jobs env
- type HasPackageSet env = HasType PackageSet env
- type HasConfig env = (HasType Config env, HasPackageSet env)
- type HasGit env = HasType GitCmd env
- type HasBower env = HasType BowerCmd env
- type HasPurs env = HasType PursCmd env
- module Spago.Types

# Documentation

Environments

data GlobalOptions #

Constructors

GlobalOptions |

Fields

- globalQuiet :: Bool
- globalVerbose :: Bool
- globalVeryVerbose :: Bool
- globalUseColor :: Bool
- globalUsePsa :: UsePsa
- globalJobs :: Maybe Int
- globalConfigPath :: Maybe Text
- globalCacheConfig :: Maybe CacheFlag

data Env #

App configuration containing parameters and other common things it's useful to compute only once at startup.

Constructors

Env |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envConfigPath :: !ConfigPath
- envGlobalCache :: !GlobalCache

#### Instances

Instances details

Generic Env # |

Instance details

Defined in Spago.Env

Associated Types

type Rep Env |

Instance details

Defined in Spago.Env

type Rep Env = D1 ('MetaData "Env" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "Env" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache))))

Methods

from :: Env -> Rep Env x #

to :: Rep Env x -> Env #

type Rep Env # |

Instance details

Defined in Spago.Env

type Rep Env = D1 ('MetaData "Env" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "Env" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache))))

data PackageSetEnv #

Constructors

PackageSetEnv |

Fields

- envLogFunc :: !LogFunc
- envPackageSet :: !PackageSet

#### Instances

Instances details

Generic PackageSetEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep PackageSetEnv |

Instance details

Defined in Spago.Env

type Rep PackageSetEnv = D1 ('MetaData "PackageSetEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PackageSetEnv" 'PrefixI 'True) (S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet)))

Methods

from :: PackageSetEnv -> Rep PackageSetEnv x #

to :: Rep PackageSetEnv x -> PackageSetEnv #

type Rep PackageSetEnv # |

Instance details

Defined in Spago.Env

type Rep PackageSetEnv = D1 ('MetaData "PackageSetEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PackageSetEnv" 'PrefixI 'True) (S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet)))

data InstallEnv #

Constructors

InstallEnv |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envConfigPath :: !ConfigPath
- envGlobalCache :: !GlobalCache
- envPackageSet :: !PackageSet
- envConfig :: !Config

#### Instances

Instances details

Generic InstallEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep InstallEnv |

Instance details

Defined in Spago.Env

type Rep InstallEnv = D1 ('MetaData "InstallEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "InstallEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath))) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config)))))

Methods

from :: InstallEnv -> Rep InstallEnv x #

to :: Rep InstallEnv x -> InstallEnv #

type Rep InstallEnv # |

Instance details

Defined in Spago.Env

type Rep InstallEnv = D1 ('MetaData "InstallEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "InstallEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath))) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config)))))

data PublishEnv #

Constructors

PublishEnv |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envConfig :: !Config
- envPackageSet :: !PackageSet
- envGitCmd :: !GitCmd
- envBowerCmd :: !BowerCmd

#### Instances

Instances details

Generic PublishEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep PublishEnv |

Instance details

Defined in Spago.Env

type Rep PublishEnv = D1 ('MetaData "PublishEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PublishEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config))) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: (S1 ('MetaSel ('Just "envGitCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GitCmd) :*: S1 ('MetaSel ('Just "envBowerCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 BowerCmd)))))

Methods

from :: PublishEnv -> Rep PublishEnv x #

to :: Rep PublishEnv x -> PublishEnv #

type Rep PublishEnv # |

Instance details

Defined in Spago.Env

type Rep PublishEnv = D1 ('MetaData "PublishEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PublishEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config))) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: (S1 ('MetaSel ('Just "envGitCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GitCmd) :*: S1 ('MetaSel ('Just "envBowerCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 BowerCmd)))))

data VerifyEnv #

Constructors

VerifyEnv |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envGlobalCache :: !GlobalCache
- envPursCmd :: !PursCmd
- envPackageSet :: !PackageSet
- envConfig :: !(Maybe Config)

#### Instances

Instances details

Generic VerifyEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep VerifyEnv |

Instance details

Defined in Spago.Env

type Rep VerifyEnv = D1 ('MetaData "VerifyEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "VerifyEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache))) :*: (S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 (Maybe Config))))))

Methods

from :: VerifyEnv -> Rep VerifyEnv x #

to :: Rep VerifyEnv x -> VerifyEnv #

type Rep VerifyEnv # |

Instance details

Defined in Spago.Env

type Rep VerifyEnv = D1 ('MetaData "VerifyEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "VerifyEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: (S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs) :*: S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache))) :*: (S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd) :*: (S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet) :*: S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 (Maybe Config))))))

data BuildEnv #

Constructors

BuildEnv |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envConfigPath :: !ConfigPath
- envGlobalCache :: !GlobalCache
- envPursCmd :: !PursCmd
- envGitCmd :: !GitCmd
- envPackageSet :: !PackageSet
- envConfig :: !Config
- envGraph :: !(Maybe ModuleGraph)
- envBuildOptions :: !BuildOptions

#### Instances

Instances details

Generic BuildEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep BuildEnv |

Instance details

Defined in Spago.Env

type Rep BuildEnv = D1 ('MetaData "BuildEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "BuildEnv" 'PrefixI 'True) (((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd)))) :*: ((S1 ('MetaSel ('Just "envGitCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GitCmd) :*: S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet)) :*: (S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config) :*: (S1 ('MetaSel ('Just "envGraph") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 (Maybe ModuleGraph)) :*: S1 ('MetaSel ('Just "envBuildOptions") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 BuildOptions))))))

Methods

from :: BuildEnv -> Rep BuildEnv x #

to :: Rep BuildEnv x -> BuildEnv #

type Rep BuildEnv # |

Instance details

Defined in Spago.Env

type Rep BuildEnv = D1 ('MetaData "BuildEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "BuildEnv" 'PrefixI 'True) (((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd)))) :*: ((S1 ('MetaSel ('Just "envGitCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GitCmd) :*: S1 ('MetaSel ('Just "envPackageSet") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PackageSet)) :*: (S1 ('MetaSel ('Just "envConfig") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Config) :*: (S1 ('MetaSel ('Just "envGraph") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 (Maybe ModuleGraph)) :*: S1 ('MetaSel ('Just "envBuildOptions") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 BuildOptions))))))

data PursEnv #

Constructors

PursEnv |

Fields

- envLogFunc :: !LogFunc
- envJobs :: !Jobs
- envConfigPath :: !ConfigPath
- envGlobalCache :: !GlobalCache
- envPursCmd :: !PursCmd

#### Instances

Instances details

Generic PursEnv # |

Instance details

Defined in Spago.Env

Associated Types

type Rep PursEnv |

Instance details

Defined in Spago.Env

type Rep PursEnv = D1 ('MetaData "PursEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PursEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd)))))

Methods

from :: PursEnv -> Rep PursEnv x #

to :: Rep PursEnv x -> PursEnv #

type Rep PursEnv # |

Instance details

Defined in Spago.Env

type Rep PursEnv = D1 ('MetaData "PursEnv" "Spago.Env" "spago-0.21.0-7fGZ7CPhD6UKUhYlrl5wZv" 'False) (C1 ('MetaCons "PursEnv" 'PrefixI 'True) ((S1 ('MetaSel ('Just "envLogFunc") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 LogFunc) :*: S1 ('MetaSel ('Just "envJobs") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 Jobs)) :*: (S1 ('MetaSel ('Just "envConfigPath") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 ConfigPath) :*: (S1 ('MetaSel ('Just "envGlobalCache") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 GlobalCache) :*: S1 ('MetaSel ('Just "envPursCmd") 'NoSourceUnpackedness 'SourceStrict 'DecidedStrict) (Rec0 PursCmd)))))

Environment constraints

type HasEnv env = (HasLogFunc env, HasJobs env, HasConfigPath env, HasGlobalCache env) #

type HasVerifyEnv env = (HasLogFunc env, HasJobs env, HasGlobalCache env, HasPurs env, HasPackageSet env, HasMaybeConfig env) #

type HasPublishEnv env = (HasLogFunc env, HasJobs env, HasConfig env, HasBower env, HasGit env) #

type HasBuildEnv env = (HasEnv env, HasPurs env, HasGit env, HasConfig env, HasMaybeGraph env, HasBuildOptions env) #

type HasPursEnv env = (HasEnv env, HasPurs env) #

Simple capabilities

type HasGlobalCache env = HasType GlobalCache env #

type HasConfigPath env = HasType ConfigPath env #

type HasJobs env = HasType Jobs env #

type HasPackageSet env = HasType PackageSet env #

type HasConfig env = (HasType Config env, HasPackageSet env) #

type HasGit env = HasType GitCmd env #

type HasBower env = HasType BowerCmd env #

type HasPurs env = HasType PursCmd env #

Other types

module Spago.Types